Bug 444256 - can_suspend does not affect suspend option in login screen
can_suspend does not affect suspend option in login screen
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 00:21 EDT by Christopher Tubbs
Modified: 2015-01-14 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-09 21:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (2.63 KB, patch)
2008-04-26 19:39 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Christopher Tubbs 2008-04-26 00:21:10 EDT
Description of problem:
gdm login window does not properly respect the global mandatory disabling of
suspend through gconf-editor

Version-Release number of selected component (if applicable):
Fedora 9 Pre-Release
gdm-2.21.10-0.2008.04.18.2.fc9.i386

How reproducible:
100%

Steps to Reproduce:
1. sudo gconf-editor
2. go to /apps/gnome-power-manager/general
3. un-check can_suspend
4. right-click can_suspend, select mandatory
  
Actual results:
suspend remains an option in the gdm login screen

Expected results:
suspend option should be removed in the login screen

Additional info:
none
Comment 1 Matthias Clasen 2008-04-26 19:39:47 EDT
Created attachment 303880 [details]
patch

Here is a patch
Comment 2 Christopher Tubbs 2008-04-27 20:36:58 EDT
How long before we can expect this patch to show up in the fedora updates? Also,
does can_hibernate have the same issue?
Comment 3 Matthias Clasen 2008-04-28 10:02:41 EDT
There is no hibernate button on the login window, so there is no can_hibernate
issue...
Comment 4 Matthias Clasen 2008-04-28 10:12:00 EDT
I have committed the patch upstream, so it will appear in Fedora with the next
upstream update we do.
Comment 5 Matthias Clasen 2008-04-28 20:01:07 EDT
* Mon Apr 28 2008 Ray Strode <rstrode@redhat.com> - 1:2.21.10-0.2008.04.28.1
- a11y improvements
- make "Suspend" desensitize properly when not-available
- make resize animation faster
- user switcher fixes
Comment 6 Christopher Tubbs 2008-05-08 23:37:21 EDT
The current fix disables the restart button when suspend is not available. That
shouldn't happen. The restart button should still be available, regardless.
Comment 7 Matthias Clasen 2008-05-09 13:07:04 EDT
I don't see how my patch can have that effect. 
Comment 8 Christopher Tubbs 2008-05-09 21:44:53 EDT
My mistake. The patch works correctly.

Note You need to log in before you can comment on or make changes to this bug.